#ifndef ConnectionFrame_h
#define ConnectionFrame_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"

#include <QWidget>

class ConnectionAttributes;
class LineEditor;

//* handles ftp connections and login
class ConnectionFrame: public QWidget, public Counter
{

    Q_OBJECT

    public:

    //* constructor
    ConnectionFrame( QWidget*, bool show_password = true );

    //* destructor
    virtual ~ConnectionFrame(void) = default;

    //* load connection attributes
    void load( const ConnectionAttributes& attributes );

    //* get connection attributes
    ConnectionAttributes attributes( void ) const;

    //* retrieve password lineEdit
    LineEditor& passwordEditor( void ) const
    { return *password_; }

    private:

    //* hostname
    LineEditor* host_ = nullptr;

    //* port
    LineEditor* port_ = nullptr;

    //* login
    LineEditor* user_ = nullptr;

    //* password
    LineEditor* password_ = nullptr;

};

#endif
