#ifndef FileSelectionClipboard_h
#define FileSelectionClipboard_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "FileInfo.h"

//! clipboard
class FileSelectionClipboard: public FileInfo::List
{

    public:

    // clipboard mode
    enum Mode
    {
        Cut,
        Copy
    };

    //! constructor
    FileSelectionClipboard( const FileInfo::List& files = FileInfo::List(), Mode mode = FileSelectionClipboard::Copy ):
        FileInfo::List( files ),
        mode_( mode )
    { Debug::Throw( "FileSelectionClipboard::FileSelectionClipboard" ); }

    //! destructor
    virtual ~FileSelectionClipboard( void )
    {}

    //! clipboard mode
    Mode mode( void ) const
    { return mode_; }

    //! clipboard mode
    void setMode( Mode value )
    { mode_ = value; }

    private:

    //! clipboard mode
    Mode mode_;

};

#endif
